ports/166094: [PATCH] www/abyssws: drop invalid target post-deinstall

Jason Helfman jgh at FreeBSD.org
Wed Mar 14 16:40:05 UTC 2012


>Number:         166094
>Category:       ports
>Synopsis:       [PATCH] www/abyssws: drop invalid target post-deinstall
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Wed Mar 14 16:40:05 UTC 2012
>Closed-Date:
>Last-Modified:
>Originator:     Jason Helfman
>Release:        FreeBSD 8.2-RELEASE amd64
>Organization:
>Environment:
System: FreeBSD dormouse.experts-exchange.com 8.2-RELEASE FreeBSD 8.2-RELEASE #0: Thu Feb 17 02:41:51 UTC 2011
>Description:
post-deinstall is an invalid target, and adjust scripts to work via standards

Added file(s):
- pkg-deinstall

Port maintainer (voisined at wit.edu) is cc'd.

Generated with FreeBSD Port Tools 0.99_4 (mode: change, diff: CVS)
>How-To-Repeat:
>Fix:

--- abyssws-2.6_1.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/www/abyssws/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- Makefile	22 Jan 2009 05:33:28 -0000	1.5
+++ Makefile	14 Mar 2012 16:33:50 -0000
@@ -7,6 +7,7 @@
 
 PORTNAME=	abyssws
 PORTVERSION=	2.6
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	http://www.aprelium.com/data/
 DISTNAME=	abwsx1-freebsd
@@ -50,8 +51,4 @@
 	@${SETENV} PKG_PREFIX=${PREFIX} \
 		${SH} ${PKGINSTALL} ${PORTNAME} POST-INSTALL
 
-post-deinstall:
-	@${SETENV} PKG_PREFIX=${PREFIX} \
-		${SH} ${PKGDEINSTALL} ${PORTNAME} POST-DEINSTALL
-
 .include <bsd.port.post.mk>
Index: pkg-deinstall
===================================================================
RCS file: pkg-deinstall
diff -N pkg-deinstall
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ pkg-deinstall	14 Mar 2012 16:33:50 -0000
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+PATH=/bin:/usr/sbin
+WSHOME=${PKG_PREFIX}/lib/abyssws
+
+USER=abyssws
+GROUP=${USER}
+
+if [ "$2" = "DEINSTALL" ]; then
+
+	if ! [ -x ${WSHOME} ] ; then
+	    if pw group show "${GROUP}" 2>/dev/null; then
+		if pw groupdel ${GROUP}; then
+		    echo "Removed group \"${GROUP}\"."
+		else
+		    echo "Removing group \"${GROUP}\" failed..."
+		    exit 1
+		fi
+	    else
+		echo "Group \"${GROUP}\" doesn't exist!"
+	    fi
+
+	    if pw user show "${USER}" 2>/dev/null; then
+		if pw userdel ${USER}; then
+		    echo "Removed user \"${USER}\"."
+		else
+		    echo "Removing user \"${USER}\" failed..."
+		    exit 1
+		fi
+	    else
+		echo "User \"${USER}\" doesn't exist!"
+	    fi
+	fi
+
+fi
Index: pkg-install
===================================================================
RCS file: /home/pcvs/ports/www/abyssws/pkg-install,v
retrieving revision 1.3
diff -u -r1.3 pkg-install
--- pkg-install	14 Dec 2007 20:37:54 -0000	1.3
+++ pkg-install	14 Mar 2012 16:33:50 -0000
@@ -49,30 +49,5 @@
 	
 	
 	;;
-POST-DEINSTALL)
-	if ! [ -x ${WSHOME} ] ; then
-	    if pw group show "${GROUP}" 2>/dev/null; then
-		if pw groupdel ${GROUP}; then
-		    echo "Removed group \"${GROUP}\"."
-		else
-		    echo "Removing group \"${GROUP}\" failed..."
-		    exit 1
-		fi
-	    else
-		echo "Group \"${GROUP}\" doesn't exist!"
-	    fi
-
-	    if pw user show "${USER}" 2>/dev/null; then
-		if pw userdel ${USER}; then
-		    echo "Removed user \"${USER}\"."
-		else
-		    echo "Removing user \"${USER}\" failed..."
-		    exit 1
-		fi
-	    else
-		echo "User \"${USER}\" doesn't exist!"
-	    fi
-	fi
-	;;
 
 esac
--- abyssws-2.6_1.patch ends here ---

>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list